Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.runtime
Interface ServerRuntimeMBean

public interface ServerRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean, weblogic.health.HealthFeedback

Provides methods for retrieving runtime information about a server instance and for transitioning a server from one state to another.

Field Summary
`static java.lang.String` | `RUNNING` Value returned by getState() to indicate the the server is running.
`static java.lang.String` | `SHUTDOWN_IN_PROCESS` Value returned by getState() to indicate the the server is in the process of shutting down.
`static java.lang.String` | `SHUTDOWN_PENDING` Value returned by getState() to indicate the server will be shutting down.
`static java.lang.String` | `STANDBY` Value returned by getState() to indicate that the server is in a standby state.
`static java.lang.String` | `SUSPENDED` Value returned by getState() to indicate the the server is has been suspended.
`static java.lang.String` | `UNKNOWN` Value returned by getState() to indicate the the server is in an unknown state.

Method Summary
`long` | `getActivationTime()` Return the time when the server was started.
`int` | `getAdministrationPort()` Return the administration port on which this server is listening for
`java.lang.String` | `getAdminServerHost()` Return the address on which admin server is listening for connections.
`int` | `getAdminServerListenPort()` Return the port on which admin server is listening for connections.
`ClusterRuntimeMBean` | `getClusterRuntime()` Return an mbean which represents this server's view of its cluster, if any.
`java.lang.String` | `getCurrentDirectory()` Returns the absolute path of the Server's "user.dir" or in other words the directory from which the server was started.
`weblogic.health.HealthState` | `getHealthState()` For Server Health Monitoring.
`java.lang.String` | `getJVMID()` Return the JVMID of the server.
`java.lang.String` | `getListenAddress()` Return the address on which this server is listening for connections.
`int` | `getListenPort()` Return the port on which this server is listening for connections.
`int` | `getOpenSocketsCurrentCount()` Return the current number sockets registered for socket muxing on this server.
`int` | `getRestartsTotalCount()` Return the total number of restarts for this server since the cluster was last activated.
`ServerSecurityRuntimeMBean` | `getServerSecurityRuntime()` Return the ServerSecurityRuntimeMBean for this server.
`long` | `getSocketsOpenedTotalCount()` Return the total number of registrations for socket muxing on this sever.
`java.lang.String` | `getSSLListenAddress()` Return the address on which this server is listening for connections.
`int` | `getSSLListenPort()` Return the port on which this server is listening for SSL connections.
`java.lang.String` | `getState()` Returns current state of the server.
`java.lang.String` | `getWeblogicVersion()` Return the version of the server
`boolean` | `isAdministrationPortEnabled()` Return if the administrationPort is enabled on the server
`boolean` | `isAdminServer()` Checks if the server is an administrator server.
`boolean` | `isAdminServerListenPortSecure()` Return the secureType on which admin server is listening for connections.
`boolean` | `isListenPortEnabled()` Return if the default listenPort is enabled on the server
`boolean` | `isSSLListenPortEnabled()` Return if the default lSSListenPort is enabled on the server
`void` | `setHealthState(int state, java.lang.String reason)` For Server Health Monitoring.
`void` | `start()` Start suspended server.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### RUNNING

    public static final java.lang.String RUNNING

  Value returned by getState() to indicate the the server is running.

### SHUTDOWN_PENDING

    public static final java.lang.String SHUTDOWN_PENDING

  Value returned by getState() to indicate the server will be shutting down.

### SHUTDOWN_IN_PROCESS

    public static final java.lang.String SHUTDOWN_IN_PROCESS

  Value returned by getState() to indicate the the server is in the process of shutting down.

### SUSPENDED

    public static final java.lang.String SUSPENDED

  Value returned by getState() to indicate the the server is has been suspended.

### STANDBY

    public static final java.lang.String STANDBY

  Value returned by getState() to indicate that the server is in a standby state.

### UNKNOWN

    public static final java.lang.String UNKNOWN

  Value returned by getState() to indicate the the server is in an unknown state.

Method Detail

### start

    public void start()

  Start suspended server. Allow new requests. This method will be deprecated in the next release.

### getState

    public java.lang.String getState()

  Returns current state of the server.

### getActivationTime

    public long getActivationTime()

  Return the time when the server was started.

### getListenAddress

    public java.lang.String getListenAddress()

  Return the address on which this server is listening for connections. For example this might return the string: santiago/172.17.9.220

### getListenPort

    public int getListenPort()

  Return the port on which this server is listening for connections.

### getSSLListenPort

    public int getSSLListenPort()

  Return the port on which this server is listening for SSL connections.

### getAdministrationPort

    public int getAdministrationPort()

  Return the administration port on which this server is listening for

### getSSLListenAddress

    public java.lang.String getSSLListenAddress()

  Return the address on which this server is listening for connections. For example this might return the string: santiago/172.17.9.220

### getJVMID

    public java.lang.String getJVMID()

  Return the JVMID of the server.

### getOpenSocketsCurrentCount

    public int getOpenSocketsCurrentCount()

  Return the current number sockets registered for socket muxing on this server.

### getRestartsTotalCount

    public int getRestartsTotalCount()

  Return the total number of restarts for this server since the cluster was last activated.

### getSocketsOpenedTotalCount

    public long getSocketsOpenedTotalCount()

  Return the total number of registrations for socket muxing on this sever.

### getWeblogicVersion

    public java.lang.String getWeblogicVersion()

  Return the version of the server

### getServerSecurityRuntime

    public ServerSecurityRuntimeMBean getServerSecurityRuntime()

  Return the ServerSecurityRuntimeMBean for this server.

### getClusterRuntime

    public ClusterRuntimeMBean getClusterRuntime()

  Return an mbean which represents this server's view of its cluster, if any.

### getAdminServerHost

    public java.lang.String getAdminServerHost()

  Return the address on which admin server is listening for connections. For example this might return the string: santiago

### getAdminServerListenPort

    public int getAdminServerListenPort()

  Return the port on which admin server is listening for connections.

### isAdminServerListenPortSecure

    public boolean isAdminServerListenPortSecure()

  Return the secureType on which admin server is listening for connections.

### isListenPortEnabled

    public boolean isListenPortEnabled()

  Return if the default listenPort is enabled on the server

### isSSLListenPortEnabled

    public boolean isSSLListenPortEnabled()

  Return if the default lSSListenPort is enabled on the server

### isAdministrationPortEnabled

    public boolean isAdministrationPortEnabled()

  Return if the administrationPort is enabled on the server

### getHealthState

    public weblogic.health.HealthState getHealthState()

  For Server Health Monitoring.
  Specified by:
    getHealthState in interface weblogic.health.HealthFeedback

### setHealthState

    public void setHealthState(int state,
                               java.lang.String reason)

  For Server Health Monitoring.

### isAdminServer

    public boolean isAdminServer()

  Checks if the server is an administrator server.

### getCurrentDirectory

    public java.lang.String getCurrentDirectory()

  Returns the absolute path of the Server's "user.dir" or in other words the directory from which the server was started. This may be used in conjuction with other relative paths on The configuration ServerMBean to computate full paths.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference